/*
 * ChangeTypeData.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using System.Globalization;
using Eagle._Attributes;
using Eagle._Containers.Public;

namespace Eagle._Interfaces.Public
{
    [ObjectId("0026a039-64df-417b-9d36-506ecf04d904")]
    public interface IChangeTypeData
    {
        string Caller { get; }
        object OldValue { get; }
        Type Type { get; }
        OptionDictionary Options { get; }
        CultureInfo CultureInfo { get; }
        IClientData ClientData { get; }
        bool NoHandle { get; }

        object NewValue { get; set; }

        bool WasObject { get; set; }
        bool Attempted { get; set; }
        bool Converted { get; set; }
        bool DoesMatch { get; set; }
    }
}
